@echo off

REM This Batchfile is intended for a temporary local EBOR XML to HTML visualization using XALAN-J and JAVA 
REM Download XALAN-J from https://xalan.apache.org/xalan-j/downloads.html and a JDK or JRE 1.8 or higher
REM Set xalan.jar, xml-apis.jar serializer.jar xercesImpl.jar to your varaiable CLASSPATH and use your installed JAVA Version for JAVA_HOME to call this batch file

REM Please copy your XML File into folder "XML2HTMLVisu"
REM All files (*.xml, *.css, *.png, *.bat need to be in the same directory as the XML files

REM Then, replace the name of the Testfile "EBORVisuTest1" by your individual file-name according to your requirements 
REM in Line 16 and in Line 21!!!!!!!
REM (eg. search for "EBORVIsuTest1" and replace by "R123456789" DO ONLY REPLACE filename BUT DO NOT replace file-endings!!!!!! 


REM Starting the Batchfile 
ECHO Starting XMLtHTMLVisualization.bat ...
REM Transformation from XML File to HTML File using Stylesheet EBOR.xslt ### Replace your filename here in Line 18## 
java org.apache.xalan.xslt.Process -IN EBORVisuTest1.xml -XSL EBOR.xslt -OUT EBORVisuTest1.html

ECHO XML2HTMLvisalization has been started...
ECHO ..asking for the result.....
if NOT errorlevel 1 ECHO Visualization was successful 
if NOT errorlevel 1 EBORVisuTest1.html
if NOT errorlevel 1 ECHO ..visualization for your file has been opened in a separate Browser Window 
if NOT errorlevel 1 ECHO .. after you press any key on your keyboard, the HTML visualization will be deleted and this window will be closed
if NOT errorlevel 1 ECHO .. your visualization will remain in your browser window until it is closed or refreshed
ECHO ...press any key to proceed...
pause

REM Delete HTML File ### Replace your filename here in Line 31
ECHO ..file has beendeleted.....
ECHO ...Ending XMLtoHTMLVisualization.bat